<%
	Dim rsRecordset, strConnectionString, strSQL, strBenutzername, strPasswort, strRePasswort
	Dim bError
	
	' berprfen, ob der Benutzer angemeldet ist
	If Session("User") = "" Then
		Response.Redirect "login.asp"
		Response.End
	End If
	
	' Das Formular wurde abgeschickt
	If Request.Form("Abschicken") <> "" Then
		strBenutzername = Trim(Request.Form("Benutzername"))
		strPasswort = Trim(Request.Form("Passwort"))
		strRePasswort = Trim(Request.Form("RePasswort"))
		
		' Ueberpruefen, ob die Laenge des Benutzernamens nicht groeser als 50 Zeichen ist
		If Len(strBenutzername) > 50 Then
			Response.Write "Bitte geben Sie einen Benutzernamen ein, der maximal aus 50 Zeichen besteht.<BR>"
			bError = True
		End If
	
		' Ueberpruefen, ob die Laenge des Passworts nicht groesser als 50 Zeichen ist
		If Len(strPasswort) > 50 Then
			Response.Write "Bitte geben Sie ein Passwort ein, das maximal aus 50 Zeichen besteht.<BR>"
			bError = True
		End If
	
		' Ueberpruefen, ob alle Felder ausgefuellt wurde
		If strBenutzername = "" Or strPasswort = "" Or strRePasswort = "" Then
			Response.Write "Bitte fuellen Sie alle Felder aus"
			bError = True
		Else
			' Ueberpruefen, ob das Passwort richtig bestaetigt wurde
			If strPasswort <> strRePasswort Then
				Response.Write "Bitte bestaetigen Sie Ihr Passwort richtig"
				bError = True
			Else
				' berprfen, ob kein Fehler vorliegt
				If bError = False Then
					' Connectionstring fuer SQL Server Datenbank
					' localhost gegebenenfalls gegen den Computernamen austauschen
					strConnectionString = "Provider=SQLOLEDB.1;Persist Security Info=False;User ID=sa;Initial Catalog=Support;Data Source=localhost"
			
					' Connectionstring fuer Access Datenbank
					' strConnectionString="Provider=Microsoft.Jet.OLEDB.4.0;Persist Security Info=False;Data Source=" & Server.MapPath("Support.mdb")
			
					' Recordset oeffnen
					Set rsRecordset = Server.CreateObject("ADODB.Recordset")
					strBenutzername = Replace(strBenutzername, "'", "''")
					strSQL = "SELECT * FROM Users WHERE Username = '" & strBenutzername & "'"
					rsRecordset.CursorType = 3
					rsRecordset.CursorLocation = 3
					rsRecordset.LockType = 3
					rsRecordset.Open strSQL, strConnectionString
				
					' Ueberpruefen, ob der Benutzername bereits vorhanden ist
					If rsRecordset.EOF And rsRecordset.BOF Then
						rsRecordset.AddNew
						rsRecordset.Fields("Username") = strBenutzername
						rsRecordset.Fields("Passwort") = strPasswort
						rsRecordset.Update
						rsRecordset.Close
						Response.Write "Das Administratorkonto wurde erfolgreich angelegt.<BR>"
						Response.Write "<a href=login.asp>Login</a>"
					Else
						rsRecordset.Close
						Response.Write "Der eingegebene Benutzername ist bereits in Verwendung.<BR>"
						Response.Write "Bitte verwenden Sie einen anderen Benutzernamen.<BR>"
					End If
				End If
			End If
		End If
	End If
%>

<html>
<head>
<title>Neues Administratorenkonto anlegen</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<SCRIPT LANGUAGE="JavaScript">
<!-- 
function ValidateFields()
{
	var Formular;
	var bReturn = true;
	Formular = document.Account;
	
	// berprfen, ob ein Benutzername eingegeben wurde
	if (Formular.Benutzername.value.length == 0)
	{
		window.alert("Bitte geben Sie Ihren Benutzername ein!");
		bReturn = false;
	}
	
	// berprfen, ob ein Passwort eingegeben wurde
	if (Formular.Passwort.value.length == 0)
	{
		window.alert("Bitte geben Sie Ihr Passwort ein!");
		bReturn = false;
	}
	
	// berprfen, ob das Passwort besttigt wurde
	if (Formular.RePasswort.value.length == 0)
	{
		window.alert("Bitte besttigen Sie Ihr Passwort!");
		bReturn = false;
	}
	
	// berprfen, ob das Passwort richtig besttigt wurde
	if (Formular.RePasswort.value != Formular.Passwort.value)
	{
		window.alert("Bitte besttigen Sie Ihr Passwort richtig!");
		bReturn = false;
	}
	return(bReturn);
}
// -->
</SCRIPT>

</head>

<body bgcolor="#FFFFFF">
<p><b>Neues Adminstratorenkonto anlegen</b></p>
<form name="Account" method="post" action="newaccount.asp" onSubmit="return ValidateFields()">
  <table width="75%" border="0">
    <tr> 
      <td width="19%">Benutzername</td>
      <td width="81%"> 
        <input type="text" name="Benutzername">
      </td>
    </tr>
    <tr> 
      <td width="19%">Passwort</td>
      <td width="81%"> 
        <input type="password" name="Passwort">
      </td>
    </tr>
    <tr> 
      <td width="19%">Best&auml;tigung Passwort</td>
      <td width="81%"> 
        <input type="password" name="RePasswort">
      </td>
    </tr>
    <tr>
      <td width="19%">&nbsp;</td>
      <td width="81%"> 
        <input type="submit" name="Abschicken" value="Abschicken">
        <input type="reset" name="Zur&uuml;cksetzen" value="Zur&uuml;cksetzen">
      </td>
    </tr>
  </table>

</form>
<p>&nbsp; </p>
</body>
</html>
